Bug 239643 - www/ljdump: requires python2.7 but is installed with /usr/local/bin/python3.6
Summary: www/ljdump: requires python2.7 but is installed with /usr/local/bin/python3.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Kurt Jaeger
URL:
Keywords: easy
Depends on:
Blocks:
 
Reported: 2019-08-04 14:51 UTC by Victor Sudakov
Modified: 2019-08-12 10:58 UTC (History)
4 users (show)

See Also:
pi: merge-quarterly+


Attachments
svn-diff-ljdump (506 bytes, patch)
2019-08-04 15:03 UTC, Walter Schwarzenfeld
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Victor Sudakov 2019-08-04 14:51:17 UTC
ljdump-1.5 works correctly with /usr/local/bin/python2.7 but gives errors with /usr/local/bin/python3.6. Nevertheless, the port mechanics installs /usr/local/bin/ljdump to be run by /usr/local/bin/python3.6 which breaks everything.

$ head -n1 /usr/local/bin/ljdump
#!/usr/local/bin/python3.6

Need something like USE_PYTHON2 or whatever.
Comment 1 Walter Schwarzenfeld freebsd_triage 2019-08-04 15:03:24 UTC
Created attachment 206276 [details]
svn-diff-ljdump

Only needs USES=python:2.7,run
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2019-08-04 15:17:08 UTC
Comment on attachment 206276 [details]
svn-diff-ljdump

Approved by: portmgr (unmaintained port)

Pending QA
Comment 3 Walter Schwarzenfeld freebsd_triage 2019-08-04 15:23:33 UTC
https://www.freshports.org/www/ljdump/

-->
Runtime dependencies:

        python2.7 : lang/python27
Comment 4 Kurt Jaeger freebsd_committer 2019-08-11 17:40:26 UTC
testbuilds are fine
Comment 5 commit-hook freebsd_committer 2019-08-11 17:41:24 UTC
A commit references this bug:

Author: pi
Date: Sun Aug 11 17:40:25 UTC 2019
New revision: 508659
URL: https://svnweb.freebsd.org/changeset/ports/508659

Log:
  www/ljdump: force use of python 2.7

  PR:		239643
  Submitted by:	Walter Schwarzenfeld <w.schwarzenfeld@utanet.at>
  Reported by:	Victor Sudakov <vas@mpeks.tomsk.su>
  MFH:		2019Q3

Changes:
  head/www/ljdump/Makefile
Comment 6 commit-hook freebsd_committer 2019-08-12 10:57:50 UTC
A commit references this bug:

Author: pi
Date: Mon Aug 12 10:57:20 UTC 2019
New revision: 508724
URL: https://svnweb.freebsd.org/changeset/ports/508724

Log:
  MFH: r508659

  www/ljdump: force use of python 2.7

  PR:		239643
  Submitted by:	Walter Schwarzenfeld <w.schwarzenfeld@utanet.at>
  Reported by:	Victor Sudakov <vas@mpeks.tomsk.su>
  Approved by:	portmgr (miwi)

Changes:
_U  branches/2019Q3/
  branches/2019Q3/www/ljdump/Makefile
Comment 7 Kurt Jaeger freebsd_committer 2019-08-12 10:57:55 UTC
Committed, thanks!